On this page

    Maps API

    Embeddable HTML viewer

    GET https://api.maptiler.com/maps/{mapId}/

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    mapId
    string
    Identifier of the map. See MapTiler Maps.
    Example: streets-v4
    Request example
    
      https://api.maptiler.com/maps/streets-v4/?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 text/html

    Style JSON of the map

    GET https://api.maptiler.com/maps/{mapId}/style.json

    Style JSON describing the map cartography. Can be used with various libraries to display a vector map (e.g. Mapbox GL JS, OpenLayers, ...).

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    mapId
    string
    Identifier of the map. See MapTiler Maps.
    Example: streets-v4
    Request example
    
      https://api.maptiler.com/maps/streets-v4/style.json?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 application/json Style JSON object https://docs.maptiler.com/gl-style-specification/ StyleJSON

    Map symbols (sprites)

    GET https://api.maptiler.com/maps/{mapId}/sprite{scale}.{format}

    Map symbols (sprites) required to display the vector map.

    Request

    Path Parameters

    Parameters Type Description
    mapId
    string
    Identifier of the map. See MapTiler Maps.
    Example: streets-v4
    scale
    string
    Allowed values: @2x
    format
    string
    Allowed values: png json
    Request example
    
      https://api.maptiler.com/maps/streets-v4/sprite.png

    Responses

    Code Content Description
    200 application/json
    200 image/png

    Raster XYZ tiles

    GET https://api.maptiler.com/maps/{mapId}/{tileSize}/{z}/{x}/{y}{scale}.{format}

    Rasterized tiles (XYZ) of the map. Can be used with various libraries to display a raster map (e.g. Leaflet, OpenLayers, ...). It's usually better (if possible) to use the TileJSON rather than using the tile URL directly.

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    mapId
    string
    Identifier of the map. See MapTiler Maps.
    Example: streets-v4
    tileSize
    integer
    Allowed values: 256
    z
    integer
    Zoom level. Specifies the tile’s zoom level. See Tiles à la Google Maps
    x
    integer
    Column. Specifies the tile’s column. See Tiles à la Google Maps
    y
    integer
    Row. Specifies the tile’s row. See Tiles à la Google Maps
    scale
    string
    Use “@2x” to get “retina”/HiDPI image.
    Allowed values: @2x
    format
    string
    Allowed values: png jpg webp
    Request example
    
      https://api.maptiler.com/maps/streets-v4/10/536/358.png?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 image/*
    400

    Out of bounds / Invalid format

    TileJSON

    GET https://api.maptiler.com/maps/{mapId}/{tileSize}/tiles.json

    TileJSON describing the metadata of the map as well as link to the XYZ tiles. Can be used with various libraries to display a raster map (e.g. Leaflet, OpenLayers, ...).

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    mapId
    string
    Identifier of the map. See MapTiler Maps.
    Example: streets-v4
    tileSize
    integer
    Allowed values: 256
    Request example
    
      https://api.maptiler.com/maps/streets-v4/tiles.json?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 application/json https://raw.githubusercontent.com/maptiler/tilejson-spec/master/2.2.0/schema.json TileJSON

    OGC API - Tiles

    GET https://api.maptiler.com/maps/{mapId}/tiles

    Tileset landing page of the rasterized tiles. Can be used in software supporting the OGC API - Tiles v1.0 specification.

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    mapId
    string
    Identifier of the map. See MapTiler Maps.
    Example: streets-v4
    Request example
    
      https://api.maptiler.com/maps/streets-v4/tiles?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 application/json

    OGC API TileMatrixSets

    GET https://api.maptiler.com/maps/{mapId}/tileMatrixSet

    Description of the tileset tile matrix sets according to the OGC Web API. This resource is linked from the OGC API - Tiles endpoint.

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    mapId
    string
    Identifier of the map. See MapTiler Maps.
    Example: streets-v4
    Request example
    
      https://api.maptiler.com/maps/streets-v4/tileMatrixSet?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 application/json

    WMTS Capabilities

    GET https://api.maptiler.com/maps/{mapId}/WMTSCapabilities.xml

    WMTS Capabilities XML document describing the metadata of the map as well as link to the XYZ tiles. Can be used with various GIS software (e.g. QGIS) to display the map.

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    mapId
    string
    Identifier of the map. See MapTiler Maps.
    Example: streets-v4
    Request example
    
      https://api.maptiler.com/maps/streets-v4/WMTSCapabilities.xml?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 text/xml
    Using the OpenAPI Specification?
    Get the openapi.yaml

    Was this helpful?

    MapTiler API
    Maps API
    Maps API